$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.12-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.12-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A2AE9AD66378E1F0A495664199F3DBDAE816A8764CE46F489A178D733A68E883'
  checksumType = 'sha256'
  checksum64 = 'A2AE9AD66378E1F0A495664199F3DBDAE816A8764CE46F489A178D733A68E883'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.23.12-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
